/*
 svg2q Library 
 Created by Jan Greve
 Copyright 2011 CAU Kiel. All rights reserved.
 */

#import <UIKit/UIKit.h>;
#import <CoreGraphics/CoreGraphics.h>;



@interface QLine : NSObject {
	CGFloat x1;
	CGFloat x2;
	CGFloat y1;
	CGFloat y2;
	CGColorRef strokeColor;
	CGFloat strokeWidth;
}
@property(nonatomic,assign) CGFloat x1;
@property(nonatomic,assign) CGFloat x2;
@property(nonatomic,assign) CGFloat y1;
@property(nonatomic,assign) CGFloat y2;
@property(nonatomic,assign) CGColorRef strokeColor;
@property(nonatomic,assign) CGFloat strokeWidth;

-(void) drawWithContext:(CGContextRef) context;

@end

@interface QPath : NSObject {
	CGColorRef strokeColor;
	CGColorRef fillColor;
	CGFloat strokeWidth;
}
@property(nonatomic,assign) CGColorRef strokeColor;
@property(nonatomic,assign) CGColorRef fillColor;
@property(nonatomic,assign) CGFloat strokeWidth;

@end

@interface QEllipse : NSObject
{
	CGColorRef strokeColor;
	CGColorRef fillColor;
	CGFloat strokeWidth;
	CGFloat x;
	CGFloat y;
	CGFloat radiusX;
	CGFloat radiusY;
}

@property(nonatomic,assign) 	CGColorRef strokeColor;
@property(nonatomic,assign) 	CGColorRef fillColor;
@property(nonatomic,assign) 	CGFloat strokeWidth;
@property(nonatomic,assign) 	CGFloat x;
@property(nonatomic,assign) 	CGFloat y;
@property(nonatomic,assign) 	CGFloat radiusX;
@property(nonatomic,assign) 	CGFloat radiusY;


-(void) drawWithContext:(CGContextRef) context;

@end

@interface QRect : NSObject
{
	CGColorRef strokeColor;
	CGColorRef fillColor;
	CGFloat strokeWidth;
	CGFloat x;
	CGFloat y;
	CGFloat radiusX;
	CGFloat radiusY;
	CGFloat width;
	CGFloat height;
}

@property(nonatomic,assign) 	CGColorRef strokeColor;
@property(nonatomic,assign) 	CGColorRef fillColor;
@property(nonatomic,assign) 	CGFloat strokeWidth;
@property(nonatomic,assign) 	CGFloat x;
@property(nonatomic,assign) 	CGFloat y;
@property(nonatomic,assign) 	CGFloat radiusX;
@property(nonatomic,assign) 	CGFloat radiusY;
@property(nonatomic,assign)		CGFloat width;
@property(nonatomic,assign)		CGFloat height;



-(void) drawWithContext:(CGContextRef) context;
+(void) drawWithContext:(CGContextRef) context andX:(CGFloat) x andY:(CGFloat) y andRadiusX:(CGFloat)rx andRadiusY:(CGFloat) ry andWidth:(CGFloat) w andHeight: (CGFloat) h andStrokeWidth:(CGFloat) sw andStrokeColor:(CGColorRef) sc;
+(void) drawWithContext:(CGContextRef) context andX:(CGFloat) x andY:(CGFloat) y andRadiusX:(CGFloat)rx andRadiusY:(CGFloat) ry andWidth:(CGFloat) w andHeight: (CGFloat) h andStrokeWidth:(CGFloat) sw andStrokeColor:(CGColorRef) sc andFillColor:(CGColorRef) fc;

@end

@interface QText : NSObject
{
	CGColorRef strokeColor;
	CGColorRef fillColor;
	CGFloat strokeWidth;
	int fontSize;
	NSString* text;
	CGFloat x;
	CGFloat y;
}
@property(nonatomic, assign)	CGColorRef strokeColor;
@property(nonatomic, assign)	CGColorRef fillColor;
@property(nonatomic, assign)	CGFloat strokeWidth;
@property(nonatomic, assign)	int fontSize;
@property(nonatomic, retain)	NSString* text;
@property(nonatomic,assign) 	CGFloat x;
@property(nonatomic,assign) 	CGFloat y;

-(void) drawWithContext:(CGContextRef) context;

@end